KICKPASS(1)

NAME
kickpass - a stupid simple password safe

SYNOPSIS
kickpass [-hv]
kickpass help [command]
kickpass init [sub]
kickpass cat [-p] safe
kickpass create [-gl len] safe
kickpass open [-t] safe
kickpass edit [-pmgl] safe
kickpass copy safe
kickpass list [path]
kickpass delete safe
kickpass agent [-d] [command [arg ...]]

DESCRIPTION
kickpass is a stupid simple password safe. It keep each password in a specific safe, protected with modern cryptography. Command line interface is splited into different command. Each is described in the following subsections.

  WORKSPACE
All safes are stored in kickpass workspace. Default workspace is $HOME/.kickpass/ .

  SAFE NAMING
Safe name can contains any character allowed by the file system containing the kickpass workspace. If safe name contains ‘/’ then corresponding directories will be created under kickpass workspace. For example the following command

    kickpass create www/my-personnal-website

will create a safe in $HOME/.kickpass/www/my-personnal-website . While following command

    kickpass list www

will list all safe under the directory $HOME/.kickpass/www/ .

  hv
Don't do anything

-v --version
    Print kickpass version

-h --help
    Print kickpass help

  help command
Print general help or command help.

  init sub
Initialize a kickpass workspace or a sub-workspace.

  cat p safe
Open safe and print safe metadata to stdout.

-p --password
    Print the password to stdout

  create gl safe
Create a new password safe.

-g --generate
    Create a new safe with a generated random password

-l --length len
    Generate a random password of len length

  open t safe
Open safe and load it in kickpass agent

-t --timeout
    Sets the lifetime of the opened safe in the agent. Default in seconds (3600s).

  edit pmgl safe
Prompt for a new password and edit metadata from safe using EDITOR environment variable

-p --password
    Edit only password

-m --metadata
    Edit only metadata

-g --generate
    Create a new safe with a generated random password

-l --length len
    Generate a random password of len length

  copy safe
Copy safe password into X primary and secondary clipboards. Password can be pasted only once.

  list path
List available safes starting from path relatively to kickpass workspace or from root of kickpass workspace if path is not given.

  delete f safe
Delete safe .

  agent d command arg ...
Start a kickpass agent that will store your opened safe. Agent can be used by exporting KP_AGENT_SOCK environment variable. Optionally starts command with the correct environment set.

-d --version
    Do not daemonize agent.

ENVIRONMENT
The following variables are used by kickpass:

HOME
    The user's login directory. Used to compute kickpass workspace path.

EDITOR
    The user's preferred utility to edit text files. Used to edit safe.

KP_AGENT_SOCK
    Socket used to communicate with kickpass agent. Path to socket is printed to stdout when at agent startup.

FILES
The following files and directories are used by kickpass:

$HOME/.kickpass/
    The kickpass working directory.

EXAMPLES
Initialize a kickpass workspace.

    kickpass init

Create a new safe with a random password.

    kickpass create -g www/my_safe

Display safe content on stdout.

    kickpass cat www/my_safe

Edit a safe.

    kickpass edit www/my_safe

Copy password contained in safe into X clipboards.

    kickpass copy www/my_safe

AUTHORS
kickpass is written by Paul Fariello <paul@fariello.eu> .